VercelVercel
Menu

Update Resource

PATCHhttps://api.vercel.com/v1/installations/{integrationConfigurationId}/resources/{resourceId}
This endpoint updates an existing resource in the installation. All parameters are optional, allowing partial updates.
https://api.vercel.com/v1/installations/{integrationConfigurationId}/resources/{resourceId}
const response = await fetch('https://api.vercel.com/v1/installations/integrationConfigurationId/resources/resourceId', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"ownership": "owned",
"name": "Example Name",
"status": "ready",
"metadata": "value",
"billingPlan": {
"id": "icfg_1234567890",
"type": "prepayment",
"name": "Example Name",
"description": "string",
"paymentMethodRequired": "true",
"cost": "string",
"details": [
{
"label": "string",
"value": "string"
}
],
"highlightedDetails": [
{
"label": "string",
"value": "string"
}
],
"effectiveDate": "string"
},
"notification": {
"level": "info",
"title": "string",
"message": "string",
"href": "https://example.com"
},
"extras": "value",
"secrets": [
{
"name": "Example Name",
"value": "string",
"prefix": "string",
"environmentOverrides": {
"development": "string",
"preview": "string",
"production": "string"
}
}
]
}),
});
const data = await response.json();
console.log(data);
Response
{
"name": "Example Name"
}
AuthorizationbearerToken

Default authentication mechanism

integrationConfigurationIdstringRequired
resourceIdstringRequired
application/json
ownershipstringOptional
namestringOptional
statusstringOptional
metadataobjectOptional
billingPlanobjectOptional
notificationobjectOptional
extrasobjectOptional
secretsobjectOptional
200Success
namestringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
422Error